package de.ivu.elect.business.hochrechnung.entity;

public class ParteiStimmenAlsPunkteAnEinerParabelGeneratorKonfiguration {
  /*
  Wenn man lieber Konstanten nutzen moechte, kann man folgendes auskommentieren und nutzen
  private static final long VERHAELTNIS_ANZAHL_STIMMEN_ERSTES_LISTENKANDIDATURS_ZU_ANZAHL_STIMMEN_LETZTES_LISTENKANDIDATURS = 10;
  private static final long VERHAELTNIS_ANZAHL_STIMMEN_ERSTER_POLITISCHEN_GRUPPE_ZU_ANZAHL_STIMMEN_LETZTER_POLITISCHEN_GRUPPE = 7;

  public long getVerhaeltnisAnzahlStimmenErstesListenkandidatursZuAnzahlStimmenLetztesListenkandidaturs() {
    return VERHAELTNIS_ANZAHL_STIMMEN_ERSTES_LISTENKANDIDATURS_ZU_ANZAHL_STIMMEN_LETZTES_LISTENKANDIDATURS;
  }

  public long getVerhaeltnisAnzahlStimmenErsterPolitischenGruppeZuAnzahlStimmenLetzterPolitischenGruppe() {
    return VERHAELTNIS_ANZAHL_STIMMEN_ERSTER_POLITISCHEN_GRUPPE_ZU_ANZAHL_STIMMEN_LETZTER_POLITISCHEN_GRUPPE;
  }*/

  public long getVerhaeltnisAnzahlStimmenErstesListenkandidatursZuAnzahlStimmenLetztesListenkandidaturs(long anzahlListenkandidaturen) {
    return (long) Math.ceil(Math.log(anzahlListenkandidaturen + 1));
  }

  public long getVerhaeltnisAnzahlStimmenErsterPolitischenGruppeZuAnzahlStimmenLetzterPolitischenGruppe(long anzahlPolitischeGruppen) {
    return anzahlPolitischeGruppen;
  }
}
